import { Box, Table, TableCell, TableContainer, } from "@mui/material";
import { memo } from "react";
import NewTaskForm from "./NewTaskForm/NewTaskForm";
import UsersTasksTableBody from "./UsersTasksTableBody/UsersTasksTableBody";
import UsersTasksTableHead from "./UsersTasksTableHead/UsersTasksTableHead";

function UsersTasksTableContainer({ order, orderBy, handleRequestSort, rows, page, rowsPerPage, addFormStatus }) {
  console.log(addFormStatus)
  return (
    <TableContainer>
      <NewTaskForm
        addFormStatus={addFormStatus} />
      <Table
        sx={{ minWidth: 750 }}
        aria-labelledby="tableTitle"
      >
        <UsersTasksTableHead
          order={order}
          orderBy={orderBy}
          handleRequestSort={handleRequestSort}
        />
        <UsersTasksTableBody
          order={order}
          orderBy={orderBy}
          rows={rows}
          page={page}
          rowsPerPage={rowsPerPage}
        />
      </Table>
    </TableContainer>
  );
}

export default memo(UsersTasksTableContainer)